/**
 * Header-fil for buss-klassen (Subklasse av Rute)
 * 
 * @file buss.h
 * @author Sondre Sand & Frederik Simonsen
 */
#ifndef __BUSS_H
#define __BUSS_H

#include <fstream>
#include "rute.h"

/**
 * Buss (med antall sitteplasser, antall ståplasser og 
 * om alle bussene på ruta er leddbuss eller ei)
 */
class Buss : public Rute {
    private:
        int antSitt, antStaa;
        bool leddbuss;
    
    public:
        Buss();
        Buss(std::ifstream & inn);
        virtual void lesData();
        virtual void skrivBeskrivelse();
        virtual void skrivData() const;
        virtual void skrivTilFil(std::ofstream & ut);
};

#endif